Subject: Re: bug#43645: 26.3; emacsclient -c does not open to correct window

From: Blue track <[email-masked]>
Date: Sun, 27 Sep 2020 20:36:05 +1000

Thanks for the response, it did not fix the issue. I hope this doesn't
sound condescending but did you follow the steps to reproduce? It's a weird
behaviour which I think is related to window splits:

```
emacs -Q --daemon

echo "Test" > test.txt
emacsclient -c test.txt
C-x 3
C-x b *scratch*

# In new terminal
emacsclient -c test.txt

# I get a new window with the *scratch* buffer, but under Ubuntu 20.04 the
first emacsclient instance is on top also
```

On Sun, 27 Sep 2020 at 19:58, Eli Zaretskii <[email-masked]> wrote:

> > From: Blue track <[email-masked]>
> > Date: Sun, 27 Sep 2020 16:41:31 +1000
> >
> > When opening an emacsclient instance to a new intance of a buffer which
> > is already open, under some conditions it does not open to the correct
> > buffer.
>
> I think this problem was fixed in Emacs 27.1, so please upgrade and
> try again.  If the problem persists, please tell the details.
>
> (I couldn't reproduce this in Emacs 27, FTR.)
>
> Thanks.
>